<table
  mat-table
  [dataSource]="dataSource"
  matSort
  (matSortChange)="sortData($event)"
  class="mat-elevation-z8"
>
  <!-- Position Column -->
  <ng-container matColumnDef="id">
    <th mat-header-cell *matHeaderCellDef mat-sort-header>ID</th>
    <td mat-cell *matCellDef="let element">{{ element.id }}</td>
  </ng-container>

  <!-- Name Column -->
  <ng-container matColumnDef="first_name">
    <th mat-header-cell *matHeaderCellDef mat-sort-header>First Name</th>
    <td mat-cell *matCellDef="let element">{{ element.first_name }}</td>
  </ng-container>

  <!-- Weight Column -->
  <ng-container matColumnDef="last_name">
    <th mat-header-cell *matHeaderCellDef mat-sort-header>Last Name</th>
    <td mat-cell *matCellDef="let element">{{ element.last_name }}</td>
  </ng-container>

  <!-- Symbol Column -->
  <ng-container matColumnDef="age">
    <th mat-header-cell *matHeaderCellDef mat-sort-header>Age</th>
    <td mat-cell *matCellDef="let element">{{ element.age }}</td>
  </ng-container>

  <ng-container matColumnDef="registration_date">
    <th mat-header-cell *matHeaderCellDef mat-sort-header>Registration Date</th>
    <td mat-cell *matCellDef="let element">{{ element.registration_date }}</td>
  </ng-container>

  <ng-container matColumnDef="interests">
    <th mat-header-cell *matHeaderCellDef>Interests</th>
    <td mat-cell *matCellDef="let element">{{ element.interests }}</td>
  </ng-container>

  <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
  <tr mat-row *matRowDef="let row; columns: displayedColumns"></tr>
</table>

<div *ngFor="let i of interests">
  <section class="example-section">
    <mat-checkbox
      class="example-margin"
      [(ngModel)]="i.isChecked"
      (change)="onCheckboxChange()"
      >{{ i.name | titlecase }}</mat-checkbox
    >
  </section>
</div>
